Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1598528 - [RFE] Automate - Expose max_retries override at instance level
Summary: [RFE] Automate - Expose max_retries override at instance level
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.9.4
Assignee: Harpreet Kataria
QA Contact: Yadnyawalk Tale
URL:
Whiteboard:
Depends On: 1596338
Blocks: 1564236
TreeView+ depends on / blocked
 
Reported: 2018-07-05 18:09 UTC by Satoe Imaishi
Modified: 2018-09-04 18:01 UTC (History)
8 users (show)

Fixed In Version: 5.9.4.1
Doc Type: Enhancement
Doc Text:
Clone Of: 1596338
Environment:
Last Closed: 2018-09-04 18:00:46 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
automate.log (deleted)
2018-08-01 14:04 UTC, Yadnyawalk Tale
no flags Details


Links
System ID Priority Status Summary Last Updated
Github https://github.com/ManageIQ manageiq-automation_engine issues 163 None None None 2018-07-05 18:09:44 UTC
Github https://github.com/ManageIQ manageiq-ui-classic issues 3560 None None None 2018-07-05 18:09:44 UTC
Red Hat Product Errata RHSA-2018:2561 None None None 2018-09-04 18:01:39 UTC

Comment 2 CFME Bot 2018-07-11 15:31:44 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:

https://github.com/ManageIQ/manageiq-ui-classic/commit/b50a100152bfd246630121d0e0da12b499e22e89
commit b50a100152bfd246630121d0e0da12b499e22e89
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Wed Mar 14 17:42:22 2018 -0400
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Wed Mar 14 17:42:22 2018 -0400

    Merge pull request #3562 from h-kataria/add_max_retries_for_instances

    Added Max Retries text field on Instance screen
    (cherry picked from commit 81d2462db09f354460390d384af6f6948ef6545e)

    https://bugzilla.redhat.com/show_bug.cgi?id=1598528

 app/controllers/miq_ae_class_controller.rb | 2 +-
 app/helpers/miq_ae_class_helper.rb | 4 +
 app/views/miq_ae_class/_instance_fields.html.haml | 34 +-
 app/views/miq_ae_class/_instance_form.html.haml | 66 +-
 4 files changed, 68 insertions(+), 38 deletions(-)

Comment 5 Yadnyawalk Tale 2018-08-01 14:04:49 UTC
Created attachment 1472097 [details]
automate.log

I can confirm max_retries at instance level in StateMachines UI.
Rechecked it by executing state machine via simulation.

1. Created domain and class
2. Created `meth1` method and `meth1_instance` instance in class
(domain attached)
3. Created state machine, added instance there and pointed value to `meth1_instance`
4. Added max_retries value as 3 in instance and 2 in class
5. In simulation, used `Call_Instance` with namespace, class and instance with Attribute/Value Pairs.

After submiting request we got three retries, which was what we were expected.
(automation.log attached)

Found features works very well, great work folks!
Verified on: 5.9.4.1.20180726225200_f44ec83

Thanks!

Comment 8 errata-xmlrpc 2018-09-04 18:00:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2561


Note You need to log in before you can comment on or make changes to this bug.